local EveryQuest = EveryQuest
local L = AceLibrary("AceLocale-2.2"):new("EveryQuest")

function EveryQuest:CreateOptions()

EveryQuest.options = { 
    type='group',
    args = {
		Spacing1 = {
			name = " ",
			type = "header",
		},    
		debug = {
			type = 'toggle',
			name = L["Show Debugging Messages"],
			desc = L["Show Debugging Messages - *WARNING* Spams your default chat frame"],
			set = function(newval) EveryQuest.db.profile.debug = newval end,
			get = function() return EveryQuest.db.profile.debug end,
		},
		upgrade = {
			type = 'execute',
			name = L["Upgrade DB"],
			desc = L["Upgrade the Database from the old format"],
			func = function()
				StaticPopup_Show ("EVERYQUEST_UPGRADEDB")
			end,
			order = -2,
		},
		purgeold = {
			type = 'execute',
			name = L["Purge Old data"],
			desc = L["Purge Old database data, generally used after running upgrade"],
			func = function()
				StaticPopup_Show ("EVERYQUEST_PURGEOLD")
			end,
			order = -2,
		}
    },
}

end
